#include <bits/stdc++.h>
using namespace std;
ifstream f1("bai4_14.inp");
ofstream f2("bai4_14.out");
long i,j=1,k,kq=0;
string t;
int main()
{
    f1>>t;
    j=t.length();
    for(i=0;i<j;i++){
        if(int(t[i])==49){
        k=pow(2,j-i-1);
        kq=kq+k;
        }
    }
    f2<<kq;
    f1.close();
    f2.close();
}
